Skip to content

Searches for refunds using predefined parameters

Request

Searches for refunds using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The refund that you would like to be saved.

bank_account_idArray of strings, = 2 items(Bank Account)
batch_idArray of strings(Batch)
business_unit_idstring(Business Unit)required

The business unit

dateArray of strings, = 2 items(Date)
idArray of strings(ID)
merchant_account_idArray of strings, = 2 items(Merchant Account)
numberArray of numbers, (float), = 2 items(Number)
totalArray of numbers, (float), = 2 items(Total)
total_in_base_currencyArray of numbers, (float), = 2 items(Total In Base Currency)
transaction_idstring(Transaction)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/refunds/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "bank_account_id": [
      "string",
      "string"
    ],
    "batch_id": [
      "string"
    ],
    "business_unit_id": "string",
    "date": [
      "string",
      "string"
    ],
    "id": [
      "string"
    ],
    "merchant_account_id": [
      "string",
      "string"
    ],
    "number": [
      0.1,
      0.1
    ],
    "total": [
      0.1,
      0.1
    ],
    "total_in_base_currency": [
      0.1,
      0.1
    ],
    "transaction_id": "string"
  }'

Responses

The refund search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(RefundSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }